Foreman - Feature #19589

Add an option to create plugin migrations with properly marked scope

05/18/2017 10:25 AM - Shimon Shtein

Status: Closed
Priority: Normal
Assignee: Shimon Shtein
Category: Plugin integration
Target version: 1.16.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/4509,
https://github.com/theforeman/foreman/p
ull/4571
Description

We want to mark every newly created migration with a scope that will indicate the plugin that this migration came from.

This will enable later on to rollback/migrate only migrations that belong to a certain plugin.

Related issues:

Blocks Foreman - Tracker #19454: Mark plugin migrations to be able to run the... Assigned 05/03/2017

Associated revisions

Revision fb57b8b0 - 06/02/2017 04:28 AM - Shimon Shtein
Fixes #19589 - Added plugin migration generator

Now plugin creators would be able to generate migrations by invoking

“sh

rails g plugin:migration <migration name and options> --plugin_name=my_plugin

Revision 13b42253 - 06/06/2017 11:12 AM - Ohad Levy

refs #19589 - ensure that foreman starts in production

this avoids the following error in production (under passenger):

Message from application: uninitialized constant Generators::Base (NameError)

lib/generators/plugin/migration_generator.rb:2:in “<module:Plugin>'
lib/generators/plugin/migration_generator.rb:1:in “<top (required)>

History

#1 - 05/18/2017 10:26 AM - Shimon Shtein

- Blocks Tracker #19454: Mark plugin migrations to be able to run them separately for each plugin. added

#2 - 05/18/2017 10:30 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/4509 added

#3 - 06/02/2017 05:01 AM - Shimon Shtein
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset fb57b8b09dfb3c968e1e5819e1a332c8eee3ea8ds.
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/fb57b8b09dfb3c968e1e5819e1a332c8eee3ea88

#4 - 06/02/2017 06:46 AM - Marek Hulan

- translation missing: en.field_release set to 240

#5 - 06/06/2017 06:42 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/4571 added
